package com.ruoyi.project.reliability.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TSafetyvavleMapper;
import com.ruoyi.project.reliability.domain.TSafetyvavle;
import com.ruoyi.project.reliability.service.ITSafetyvavleService;

import javax.annotation.Resource;

/**
 * 安全阀清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-01
 */
@Service
public class TSafetyvavleServiceImpl implements ITSafetyvavleService
{
    @Resource
    private TSafetyvavleMapper tSafetyvavleMapper;

    /**
     * 查询安全阀清单
     *
     * @param id 安全阀清单ID
     * @return 安全阀清单
     */
    @Override
    public TSafetyvavle selectTSafetyvavleById(Long id)
    {
        return tSafetyvavleMapper.selectTSafetyvavleById(id);
    }

    /**
     * 查询安全阀清单列表
     *
     * @param tSafetyvavle 安全阀清单
     * @return 安全阀清单
     */
    @Override
    public List<TSafetyvavle> selectTSafetyvavleList(TSafetyvavle tSafetyvavle)
    {
        return tSafetyvavleMapper.selectTSafetyvavleList(tSafetyvavle);
    }

    /**
     * 定时任务查询安全阀清单列表
     *
     * @param tSafetyvavle 安全阀清单
     * @return 安全阀清单集合
     */
    @Override
    public List<TSafetyvavle> selectList(TSafetyvavle tSafetyvavle) {
        return tSafetyvavleMapper.selectList(tSafetyvavle);
    }

    /**
     * 新增安全阀清单
     *
     * @param tSafetyvavle 安全阀清单
     * @return 结果
     */
    @Override
    public int insertTSafetyvavle(TSafetyvavle tSafetyvavle)
    {
        return tSafetyvavleMapper.insertTSafetyvavle(tSafetyvavle);
    }

    /**
     * 修改安全阀清单
     *
     * @param tSafetyvavle 安全阀清单
     * @return 结果
     */
    @Override
    public int updateTSafetyvavle(TSafetyvavle tSafetyvavle)
    {
        return tSafetyvavleMapper.updateTSafetyvavle(tSafetyvavle);
    }

    /**
     * 批量删除安全阀清单
     *
     * @param ids 需要删除的安全阀清单ID
     * @return 结果
     */
    @Override
    public int deleteTSafetyvavleByIds(Long[] ids)
    {
        return tSafetyvavleMapper.deleteTSafetyvavleByIds(ids);
    }

    /**
     * 删除安全阀清单信息
     *
     * @param id 安全阀清单ID
     * @return 结果
     */
    @Override
    public int deleteTSafetyvavleById(Long id)
    {
        return tSafetyvavleMapper.deleteTSafetyvavleById(id);
    }

    /**
     * 批量上传安全阀清单
     *
     * @param ids 需要删除的安全阀清单ID
     * @return 结果
     */
    @Override
    public int uploadTSafetyvavleByIds(Long[] ids) { return tSafetyvavleMapper.uploadTSafetyvavleByIds(ids); }

    /**
     * 上传安全阀清单信息
     *
     * @param id 安全阀清单ID
     * @return 结果
     */
    @Override
    public int uploadTSafetyvavleById(Long id) { return tSafetyvavleMapper.uploadTSafetyvavleById(id); }
}
